### Method

# RB History append

#### Declaration [src]

    void
    rb_history_append (
      RBHistory* hist,
      RhythmDBEntry* entry
    )

#### Description [src]

Adds a new entry to the end of the history list. If a size limit is set, an entry may be removed from the start to keep the history list within the limit.

#### Parameters

`entry`

  Type: `RhythmDBEntry`

  A `RhythmDBEntry` to append.

  The data is owned by the caller of the method.